Bug 487694 - (CVE-2009-0368) CVE-2009-0368 opensc: insufficient access restrictions on private data
CVE-2009-0368 opensc: insufficient access restrictions on private data
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 09:36 EST by Tomas Hoger
Modified: 2009-06-16 03:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-16 03:10:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-02-27 09:36:33 EST
Upstream released opensc version 0.11.7, fixing a security issue in the private data handling:
http://www.opensc-project.org/pipermail/opensc-announce/2009-February/000023.html

Quoting upstream advisory below:

OpenSC Security Advisory [26-Feb-2009] CVE-2009-0368
----------------------------------------------------

OpenSC stores private data without proper access restrictions.

User "b.badrignans" reported this security problem on December 4th, 2008.
In June 2007 support form private data objects was added to OpenSC. Only later
a severe security bug was found out: while the OpenSC PKCS#11 implementation
requires PIN verification to access the data, low level APDU commands or 
debugging tools like opensc-explorer or opensc-tool can access the private 
data without any authentication. This was fixed in OpenSC 0.11.7.

RSA keys are not affected by this security problem. National eID cards and 
other cards initialised by other software are not affected by this problem. 
Only blank cards initialised with OpenSC are affected by this problem. It is 
not known if the problem is limited to some drivers, but we believe all 
drivers are affected. We could only test very few cards, but all of them had 
the problem, and the fix worked on all of them. All other cards are completely 
untested for either.

This fix only improves creating new private data objects. Cards already 
initialised with such private data objects need to be modified to repair the 
access control conditions on such cards. One way to do that is to erase the 
card and re-initialise it, but doing this you would loose all content on the 
card, including RSA private keys. An alternative is to download the private 
data object(s) to your PC, delete them on the card, and store them once more 
on the card with the new, fixed version of OpenSC. This procedure has been
tested with success on some cards, but no guaranty of any kind can be given.
Comment 1 Vincent Danen 2009-03-02 17:24:53 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-0368 to
the following vulnerability:

Name: CVE-2009-0368
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0368
Assigned: 20090129
Reference: MLIST:[opensc-announce] 20090226 OpenSC Security Advisory
Reference: URL: http://www.opensc-project.org/pipermail/opensc-announce/2009-February/000023.html
Reference: MLIST:[oss-security] 20090226 OpenSC Security Advisory
Reference: URL: http://openwall.com/lists/oss-security/2009/02/26/1
Reference: BID:33922
Reference: URL: http://www.securityfocus.com/bid/33922
Reference: SECUNIA:34052
Reference: URL: http://secunia.com/advisories/34052
Reference: XF:opensc-pkcs-unauth-access(48958)
Reference: URL: http://xforce.iss.net/xforce/xfdb/48958

OpenSC before 0.11.7 allows physically proximate attackers to bypass
intended PIN requirements and read private data objects via a (1) low
level APDU command or (2) debugging tool, as demonstrated by reading
the 4601 or 4701 file with the opensc-explorer or opensc-tool program.
Comment 2 Fedora Update System 2009-03-03 07:27:51 EST
opensc-0.11.7-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/opensc-0.11.7-1.fc9
Comment 3 Fedora Update System 2009-03-03 07:30:36 EST
opensc-0.11.7-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/opensc-0.11.7-1.fc10
Comment 4 Fedora Update System 2009-03-18 15:00:11 EDT
opensc-0.11.7-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-03-18 15:03:04 EDT
opensc-0.11.7-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.